Subject: bug#40425: 26.3; eww-open-file is not working with a Tramp file name

From: Michael Albinus <[email-masked]>
Date: Fri, 17 Jul 2020 19:35:02 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

> I don't quite know what the solution is here...  it does seem odd for a
> low-level library like URL to call out to tramp -- that may even have
> security implications: It's very unexpected that (say) hitting a link on
> a web page ends up with you ssh-ing to a local machine.  So in that
> regard I agree with my 2010 self.
>
> But it does make eww-open-file, which should accept tramp file names,
> very awkward to implement...
>
> Any opinions?

You could do something around (or (file-local-copy file) file)

Best regards, Michael.